VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
END
Attribute VB_Name = "MenuItem"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True

Option Explicit

Public Enum enm_MenuStyles
    Menu_Normal = 0
    Menu_CheckBox = 1
    Menu_Option = 2
End Enum

Private m_sCaption As String
Private m_bEnabled As Boolean
Private m_bVisible As Boolean
Private m_lIndex As Long
Private m_lLeft As Long
Private m_lRight As Long
Private m_lWidth As Long
Private m_lTop As Long
Private m_lBottom As Long
Private m_lHeight As Long
Private m_lForeColor As Long
Private m_lHilightTextColor As Long
Private m_lParentIndex As Long
Private m_bSeperator As Boolean
Private m_bShowMENUARROWRIGHT As Boolean
Private m_eStyle As enm_MenuStyles
Private m_bChecked As Boolean


Public Property Get Caption() As String
    Caption = m_sCaption
End Property
Public Property Let Caption(ByVal sCaption As String)
    m_sCaption = sCaption
End Property
Public Property Get Enabled() As Boolean
    Enabled = m_bEnabled
End Property
Public Property Let Enabled(ByVal bEnabled As Boolean)
    m_bEnabled = bEnabled
End Property
Public Property Get Visible() As Boolean
    Visible = m_bVisible
End Property
Public Property Let Visible(ByVal bVisible As Boolean)
    m_bVisible = bVisible
End Property
Public Property Get Index() As Long
    Index = m_lIndex
End Property
Public Property Let Index(ByVal lIndex As Long)
    m_lIndex = lIndex
End Property
Public Property Get left() As Long
    left = m_lLeft
End Property
Public Property Let left(ByVal lLeft As Long)
    m_lLeft = lLeft
End Property
Public Property Get Right() As Long
    Right = m_lRight
End Property
Public Property Let Right(ByVal lRight As Long)
    m_lRight = lRight
End Property
Public Property Get Width() As Long
    Width = m_lWidth
End Property
Public Property Let Width(ByVal lWidth As Long)
    m_lWidth = lWidth
End Property
Public Property Get Top() As Long
    Top = m_lTop
End Property
Public Property Let Top(ByVal lTop As Long)
    m_lTop = lTop
End Property
Public Property Get Bottom() As Long
    Bottom = m_lBottom
End Property
Public Property Let Bottom(ByVal lBottom As Long)
    m_lBottom = lBottom
End Property
Public Property Get Height() As Long
    Height = m_lHeight
End Property
Public Property Let Height(ByVal lHeight As Long)
    m_lHeight = lHeight
End Property

Public Property Get ForeColor() As Long
    ForeColor = m_lForeColor
End Property
Public Property Let ForeColor(ByVal lForeColor As Long)
    If (lForeColor And &H80000000) Then
        m_lForeColor = GetSysColor(lForeColor And &HFFFFFF)
    Else
        m_lForeColor = lForeColor
    End If
End Property

Public Property Get HilightTextColor() As Long
    HilightTextColor = m_lHilightTextColor
End Property
Public Property Let HilightTextColor(ByVal lHilightTextColor As Long)
    If (lHilightTextColor And &H80000000) Then
        m_lHilightTextColor = GetSysColor(lHilightTextColor And &HFFFFFF)
    Else
        m_lHilightTextColor = lHilightTextColor
    End If
End Property

Public Property Get ParentIndex() As Long
    ParentIndex = m_lParentIndex
End Property
Public Property Let ParentIndex(ByVal lParentIndex As Long)
    m_lParentIndex = lParentIndex
End Property

Public Property Get Seperator() As Boolean
    Seperator = m_bSeperator
End Property
Public Property Let Seperator(ByVal bSeperator As Boolean)
    m_bSeperator = bSeperator
End Property

Public Property Get ShowMENUARROWRIGHT() As Boolean
    ShowMENUARROWRIGHT = m_bShowMENUARROWRIGHT
End Property
Public Property Let ShowMENUARROWRIGHT(ByVal bShowMENUARROWRIGHT As Boolean)
    m_bShowMENUARROWRIGHT = bShowMENUARROWRIGHT
End Property

Public Property Get Style() As enm_MenuStyles
    Style = m_eStyle
End Property
Public Property Let Style(ByVal eStyle As enm_MenuStyles)
    m_eStyle = eStyle
End Property

Public Property Get Checked() As Boolean
    Checked = m_bChecked
End Property
Public Property Let Checked(ByVal bChecked As Boolean)
    m_bChecked = bChecked
End Property
